Skip to content

Lists reusable links

Request

GET {{baseURL}}/pay-int-api/quick-payments/reusable

This endpoint returns a list of reusable links.

The links may be valid or expired.

The request may be filtered to limit returns to the specified search.

See Also:
To create a reusable payment link, see POST /pay-int-api/quick-payments/reusable.
To retrieve details of a reusable payment link, see GET /pay-int-api/quick-payments/reusable/{quickPaymentId}.
To activate a payment link, see POST /pay-int-api/quick-payments/{quickPaymentId}/activate.
To deactivate a payment link, see POST /pay-int-api/quick-payments/{quickPaymentId}/deactivate.

Security
Bearer
Query
pageinteger, (int32)

Specifies the page number of the returned search results.

A page is considered each set of the pageSize value.

The maximum page value is the pageSize divided by the total count rounded up. The count is zero-based. For example, if pageSize is 50 and the total is 130, there are three pages. The maximum page value is 2.

Values above the maximum page value will complete successfully but not return any items.

Example: 0

Default:0
pageSizeinteger, (int32)

Specifies the number of items for each page of the returned search results.

A page is considered each set of the pageSize value.

The maximum page value is the pageSize divided by the total count rounded up. The count is zero-based. For example, if pageSize is 50 and the total is 130, there are three pages. The maximum page value is 2.

Example: 50

Default:15
orderBystring

Specifies the field the results get ordered by.

The sort order is specified by the asc value.

Example: contactName

ascboolean

Specifies the sort order is ascending.

The sort field is specified by the orderBy value.

If true, the sort order is ascending.
If false, the sort order is descending.

Example: true

Default:true
statusinteger, (int32)

Payment link status.

Possible values:

Status IDStatusDescription
1ActiveThe link is active and can be used.
2InactiveThe link is inactive and cannot be used.
3ExpiredThe link is inactive by timing out.
4CompletedThe link is inactive by having been used successfully.
Headers
x-api-versionstring

Specifies the API version to use for the request.

Example: 1.0

Example:1.0
curl -i -X GET \
  'https://developer.flute.com/_mock/api-reference/pay-int-api/quick-payments/reusable?page=0&pageSize=15&orderBy=string&asc=true&status=0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'x-api-version: 1.0'

Responses

OK

Bodyapplication/json
itemsArray of objects or null

Re-usable quick payments for the current page.

totalinteger, (int32)

Indicates the total number of re-usable quick payments found.

Example: 5

Example:5
Response
{ "items": [ { "id": "d9d78a43-bcb6-58d5-c21f-234197b54186", "amount": 45.99, "status": 0, "createdOn": "2026-02-19T20:24:52.934Z", "totalTransactionsAmount": 250, "shortUrl": "https://pay.flute.example.com/qp/d9d78a43" } ], "total": 5 }